Skip to main content
`Ctrl`+`K`

# PCJacobiSetFixDiagonal

Check for zero values on the diagonal and replace them with 1.0

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiSetFixDiagonal(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- flg - the boolean flag

## Options Database Key

- -pc_jacobi_fixdiagonal - check for zero values on the diagonal

## Note

This takes affect at the next construction of the preconditioner

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetType()`, `PCJacobiGetFixDiagonal()`, `PCJacobiSetUseAbs()`

## Level

intermediate

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Implementations

PCJacobiSetFixDiagonal_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages